Change log for activemq package in Debian

143 of 43 results
Published in buster-release on 2019-01-03
Published in sid-release on 2018-12-29
activemq (5.15.8-2) unstable; urgency=medium

  * Team upload
  * Replace commons-httpclient symlink with httpclient and remove libstax-java
    from Build-Depends because this package is only required for activemq-rar
    which we currently ignore.
  * activemq: Explicitly depend on libgeronimo-jacc-1.1-spec-java to fix a
    broken symlink. Thanks to Andreas Beckmann for the report.
    (Closes: #916777)
  * Declare compliance with Debian Policy 4.3.0.

 -- Markus Koschany <email address hidden>  Fri, 28 Dec 2018 21:39:42 +0100

Available diffs

Superseded in buster-release on 2019-01-03
Superseded in sid-release on 2018-12-29
activemq (5.15.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 5.15.8.

 -- Markus Koschany <email address hidden>  Mon, 19 Nov 2018 16:26:52 +0100

Available diffs

Superseded in buster-release on 2018-11-25
Superseded in sid-release on 2018-11-19
activemq (5.15.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 5.15.7.
  * Fix FTBFS with OpenJDK 11 by build-depending on libactivation-java and
    libgeronimo-annotation-1.3-spec-java. (Closes: #912642)
  * Add java11.patch.

 -- Markus Koschany <email address hidden>  Sat, 03 Nov 2018 00:24:44 +0100

Available diffs

Superseded in buster-release on 2018-11-08
Superseded in sid-release on 2018-11-03
activemq (5.15.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 5.15.6.
    - Fix CVE-2018-11775: ActiveMQ Client: Missing TLS Hostname Verification.
      Thanks to Salvatore Bonaccorso for the report. (Closes: #908950)
  * Declare compliance with Debian Policy 4.2.1.
  * Add a new patch and fix the current FTBFS because debian/maven.rules does
    not work as expected with maven plugins. (Closes: #907688)

 -- Markus Koschany <email address hidden>  Tue, 18 Sep 2018 20:56:32 +0200

Available diffs

Superseded in buster-release on 2018-09-24
Superseded in sid-release on 2018-09-19
activemq (5.15.4-2) unstable; urgency=medium

  * Team upload.
  * Support new ACTIVEMQ_OUT variable in activemq-options file.
    Fixes startup error of activemq daemon process.
    Thanks to Chris Donoghue for the report. (Closes: #901366)

 -- Markus Koschany <email address hidden>  Tue, 12 Jun 2018 16:21:56 +0200

Available diffs

Superseded in buster-release on 2018-06-18
Superseded in sid-release on 2018-06-12
activemq (5.15.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 5.15.4.

 -- Markus Koschany <email address hidden>  Mon, 04 Jun 2018 22:30:12 +0200

Available diffs

Superseded in buster-release on 2018-06-10
Superseded in sid-release on 2018-06-05
activemq (5.15.3-2) unstable; urgency=medium

  * Team upload.
  * Declare compliance with Debian Policy 4.1.4.
  * Drop libactivemq-java-doc and work around the FTBFS with Java 9.
    (Closes: #893236)
  * Enable activemq-jdbc-store module.
    Add optional dependencies on commons-pool and commons-dbcp.
    Fix broken commons-pool2.jar symlink.
    Thanks to Michail Bachmann for the report and patch. (Closes: #895028)

 -- Markus Koschany <email address hidden>  Tue, 24 Apr 2018 12:39:58 +0200

Available diffs

Superseded in buster-release on 2018-04-29
Superseded in sid-release on 2018-04-24
activemq (5.15.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 5.15.3.
    - Fix CVE-2017-15709: Information Leak
      When using the OpenWire protocol it was found that certain system details
      (such as the OS and kernel version) are exposed as plain text. Thanks to
      Salvatore Bonaccorso for the report. (Closes: 890352)
  * Remove libjosql-java-doc from B-D because it is gone.
    Thanks to Andreas Beckmann for the report. (Closes: #891114)
  * Use compat level 11.
  * Declare compliance with Debian Policy 4.1.3.
  * Install NOTICE file.

 -- Markus Koschany <email address hidden>  Tue, 06 Mar 2018 20:26:39 +0100
Superseded in buster-release on 2018-03-12
Superseded in sid-release on 2018-03-07
activemq (5.15.2-2) unstable; urgency=medium

  * Team upload.
  * Added the missing dependency on libcommons-net-java due to #884182

 -- Emmanuel Bourg <email address hidden>  Tue, 12 Dec 2017 13:54:33 +0100

Available diffs

Superseded in sid-release on 2017-12-12
activemq (5.15.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Depend on the Geronimo spec jars instead of glassfish-javaee
  * Removed the unused build dependency on libmaven-enforcer-plugin-java
  * Simplified the Maven rules
  * Standards-Version updated to 4.1.2

 -- Emmanuel Bourg <email address hidden>  Tue, 12 Dec 2017 11:01:48 +0100
Superseded in buster-release on 2017-12-17
Deleted in buster-release (Reason: None provided.)
Superseded in sid-release on 2017-12-12
activemq (5.14.5-3) unstable; urgency=medium

  * Team upload.
  * Adjust maven.rules entry for jmdns to address FTBFS (Closes: #871346)

 -- tony mancill <email address hidden>  Sun, 20 Aug 2017 20:57:58 -0700

Available diffs

Superseded in buster-release on 2017-08-26
Superseded in sid-release on 2017-08-21
activemq (5.14.5-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Declare compliance with Debian Policy 4.0.0.
  * Use https for Format field.
  * Add debian/clean and ensure that activemq can be built twice in a row.

 -- Markus Koschany <email address hidden>  Thu, 22 Jun 2017 13:47:25 +0200

Available diffs

Deleted in experimental-release (Reason: None provided.)
activemq (5.14.5-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 5.14.5.
  * Drop CVE-2017-7559.patch. Applied upstream.
  * Fix CVE version typo in last changelog entry. (Closes: #861786)

 -- Markus Koschany <email address hidden>  Sat, 20 May 2017 23:23:07 +0200
Published in jessie-release on 2017-05-07
activemq (5.6.0+dfsg1-4+deb8u3) jessie; urgency=medium

  * Team upload.
  * Fix CVE-2015-7559:
    DoS in activemq-core via shutdown command. (Closes: #860866)

 -- Markus Koschany <email address hidden>  Tue, 25 Apr 2017 21:01:20 +0200
Published in stretch-release on 2017-04-24
Superseded in sid-release on 2017-06-23
activemq (5.14.3-3) unstable; urgency=medium

  * Team upload.
  * Fix CVE-2017-7559.
    DoS in client via shutdown command.
    Thanks to Salvatore Bonaccorso for the report. (Closes: #860866)

 -- Markus Koschany <email address hidden>  Fri, 21 Apr 2017 16:24:41 +0200

Available diffs

Superseded in stretch-release on 2017-04-24
Superseded in sid-release on 2017-04-21
activemq (5.14.3-2) unstable; urgency=medium

  * Team upload.
  * libactivemq-java: Depend on libshiro-java and symlink system jar files
    into /usr/share/activemq directory.
  * maven.ignoreRules: Don't ignore shiro and log4j modules.

 -- Markus Koschany <email address hidden>  Sun, 08 Jan 2017 20:21:27 +0100

Available diffs

Superseded in stretch-release on 2017-01-19
Superseded in sid-release on 2017-01-09
activemq (5.14.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Build the shiro and log4j-appender modules

 -- Emmanuel Bourg <email address hidden>  Thu, 22 Dec 2016 12:41:01 +0100

Available diffs

Superseded in stretch-release on 2017-01-02
Superseded in sid-release on 2016-12-22
activemq (5.14.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 5.14.2+dfsg.

 -- Markus Koschany <email address hidden>  Fri, 09 Dec 2016 23:54:01 +0100

Available diffs

Superseded in stretch-release on 2016-12-20
Superseded in sid-release on 2016-12-10
activemq (5.14.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 5.14.1+dfsg.
  * activemq: Fix Lintian error and depend on lsb-base since the init script
    requires it.
  * Remove libaxis-java and libaxis-java-doc from Build-Depends. Apparently
    they are not needed anymore.

 -- Markus Koschany <email address hidden>  Thu, 06 Oct 2016 22:27:04 +0200

Available diffs

Superseded in stretch-release on 2016-10-12
Superseded in sid-release on 2016-10-07
activemq (5.14.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * activemq: Depend on liblog4j1.2-java to ensure that logging works
    out-of-the-box. (Closes: #839244)
  * Fix symlink and replace commons-pool.jar with commons-pool2.jar.
  * Switch to compat level 10.

 -- Markus Koschany <email address hidden>  Fri, 30 Sep 2016 21:35:06 +0200

Available diffs

Superseded in stretch-release on 2016-10-06
Superseded in sid-release on 2016-10-01
activemq (5.14.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Imported Upstream version 5.14.0+dfsg.
  * Rebase and simplify disable-broker-test-dependency.patch.
  * libactivemq-java.poms: Remove obsolete fileserver module.
  * Ignore activemq-cf module.
  * Build-Depend on libjmdns-java and do not ignore it anymore.
  * Drop exclude-jmdns.patch
  * activemq: Symlink jmdns.jar into optional lib directory.
  * Add activemq-client-jar.patch and use type jar for packaging instead of
    bundle to avoid a build failure..

 -- Markus Koschany <email address hidden>  Tue, 13 Sep 2016 12:54:44 +0200
Superseded in stretch-release on 2016-09-19
Superseded in sid-release on 2016-09-13
activemq (5.13.4+dfsg-2) unstable; urgency=medium

  * Change the maven rule for org.springframework to use the debian version.
    (Closes: #832367)

 -- Markus Koschany <email address hidden>  Sun, 24 Jul 2016 21:25:20 +0200
Superseded in sid-release on 2016-07-25
activemq (5.13.4+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Imported Upstream version 5.13.4+dfsg.

 -- Markus Koschany <email address hidden>  Sun, 24 Jul 2016 06:38:18 +0200

Available diffs

Superseded in stretch-release on 2016-07-30
Superseded in sid-release on 2016-07-24
activemq (5.13.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Imported Upstream version 5.13.3+dfsg.
  * Enable stomp module. (Closes: #825382).
  * Update README.Debian.
  * Drop disable-jetty-all-dependency.patch and ignore jetty-all artifact
    instead.
  * Declare compliance with Debian Policy 3.9.8.

 -- Markus Koschany <email address hidden>  Sun, 26 Jun 2016 15:45:05 +0200

Available diffs

Published in wheezy-release on 2016-04-02
activemq (5.6.0+dfsg-1+deb7u2) wheezy-security; urgency=high

  * Team upload.
  * Fix CVE-2015-5254:
    Apache ActiveMQ 5.x before 5.13.0 does not restrict the classes that can be
    serialized in the broker, which allows remote attackers to execute
    arbitrary code via a crafted serialized Java Message Service (JMS)
    ObjectMessage object.

 -- Markus Koschany <email address hidden>  Fri, 18 Mar 2016 22:47:35 +0100
Superseded in jessie-release on 2017-05-07
activemq (5.6.0+dfsg1-4+deb8u2) jessie-security; urgency=high

  * Team upload.
  * Fix CVE-2015-5254:
    Apache ActiveMQ 5.x before 5.13.0 does not restrict the classes that can be
    serialized in the broker, which allows remote attackers to execute
    arbitrary code via a crafted serialized Java Message Service (JMS)
    ObjectMessage object.

 -- Markus Koschany <email address hidden>  Fri, 18 Mar 2016 22:24:17 +0100
Superseded in stretch-release on 2016-07-02
Superseded in sid-release on 2016-06-27
activemq (5.13.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Enable activemq-fileserver, activemq-mqtt, activemq-ra and activemq-spring
    modules.
  * Update disable-broker-test-dependency.patch
  * Build-Depend on libjetty9-java for fileserver module.
  * Add libqdox-java, libservlet3.1-java, libmqtt-client-java,
    libhawtdispatch-java and libzookeeper-java to Build-Depends.
  * Add disable-jetty-all-dependency.patch.
  * Really add init-debian-default-values.patch.
  * activemq-options: Use default-java for JAVA_HOME variable.
  * Drop exclude-geronimo-jca.patch.
  * maven.ignoreRules: Ignore
    - org.linkedin
    - org.jencks
    - org.springframework.osgi
    - org-paho
  * Add activemq-spring.patch and remove code from activemq-pool which is not
    available.
  * Update activemq.links and symlink all necessary jars into ACTIVEMQ_HOME
    directory.
  * Depend on missing spring dependencies, libhawtbuf-java, libxbean-java and
    libactivemq-protobuf-java.
  * Remove unused debian/main.xml file.

 -- Markus Koschany <email address hidden>  Sat, 19 Mar 2016 19:44:32 +0100

Available diffs

Superseded in stretch-release on 2016-03-25
Superseded in sid-release on 2016-03-22
activemq (5.13.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Fixes FTBFS. (Closes: #808636)
    - Fixes CVE-2015-5254: unsafe deserialization and all other security
      vulnerabilities. (Closes: #809733)
  * Switch from cdbs to dh sequencer.
  * Use Files-Excluded mechanism and drop orig-tar.sh
  * Vcs-fields: Use https.
  * Use java7-runtime-headless as alternative dependency for activemq.
  * Declare compliance with Debian Policy 3.9.7.
  * Remove debian/maven.cleanIgnoreRules.
  * debian/patches:
    - Drop all CVE-* patches. Fixed upstream.
    - Drop activemq-admin.patch because this file does not exist anymore.
    - Drop disable_some_modules.diff and disable modules with
      libactivemq-java.poms instead.
    - Drop exclude-* patches.
    - Rebase init_debian_default_values.diff.
    - Drop javadoc_links.diff because the activemq-core module does not exist
      anymore.
    - Add disable-broker-test-dependency.patch and disable test dependencies
      which would cause a FTBFS.
    - Add exclude-geronimo-jca.patch and remove code that depends on geronimo
      jca.
    - Add exclude-jmdns.patch and remove code that depends on jmdns.
  * wrap-and-sort -sa.
  * Add libderby-java to Build-Depends.
  * activemq-options: Use OpenJDK 8 as the default Java implementation.
  * Update debian/watch and point to the new repository at github.
  * activemq.postrm: Do not delete system users and groups on purge.
  * activemq.postrm: Remove /etc/activemq on purge. (Closes: #770455)

 -- Markus Koschany <email address hidden>  Sun, 13 Mar 2016 22:53:35 +0100
Deleted in stretch-release (Reason: None provided.)
Superseded in sid-release on 2016-03-14
activemq (5.6.0+dfsg1-5) unstable; urgency=medium

  * Team upload.
  * Add missing build-dep on libregexp-java. (Closes: #802858)
  * Use libcommons-net-java (>= 3).  (Closes: #800764)
  * Use libhttpclient-java instead of libcommons-httpclient-java.
    (Closes: #800977)

 -- tony mancill <email address hidden>  Sun, 25 Oct 2015 11:44:36 -0700
Superseded in wheezy-release on 2016-04-02
activemq (5.6.0+dfsg-1+deb7u1) wheezy-security; urgency=high

  * Team upload.
  * Fixed security issues (Closes: #777196, #792857)
    - CVE-2014-3612: JAAS LDAPLoginModule allows empty password authentication
    - CVE-2014-3600: XML External Entity expansion when evaluating XPath
      expressions
    - CVE-2014-3576: DoS via unauthenticated remote shutdown command
    - Disable JMX by default (Closes: #769887)

 -- Emmanuel Bourg <email address hidden>  Fri, 07 Aug 2015 22:16:39 +0200
Superseded in stretch-release on 2015-10-31
Superseded in sid-release on 2015-10-26
Superseded in jessie-release on 2016-04-02
activemq (5.6.0+dfsg1-4+deb8u1) jessie-security; urgency=high

  * Team upload.
  * Fixed CVE-2014-3576: DoS via unauthenticated remote shutdown command
    (Closes: #792857)

 -- Emmanuel Bourg <email address hidden>  Mon, 03 Aug 2015 19:17:04 +0200
Superseded in stretch-release on 2015-09-05
Superseded in jessie-release on 2015-09-05
Superseded in sid-release on 2015-09-05
activemq (5.6.0+dfsg1-4) unstable; urgency=high


  * Team upload.
  * Fixed security issues (Closes: #777196)
    - CVE-2014-3612: JAAS LDAPLoginModule allows empty password authentication
    - CVE-2014-3600: XML External Entity expansion when evaluating XPath
      expressions
  * Standards-Version updated to 3.9.6 (no changes)

 -- Emmanuel Bourg <email address hidden>  Wed, 18 Feb 2015 20:04:38 +0100

Available diffs

Superseded in jessie-release on 2015-02-22
Superseded in sid-release on 2015-02-19
activemq (5.6.0+dfsg1-3) unstable; urgency=high


  * Team upload.
  * Disable JMX by default (Closes: #769887)

 -- Emmanuel Bourg <email address hidden>  Fri, 21 Nov 2014 14:02:16 +0100

Available diffs

Superseded in jessie-release on 2014-11-24
Superseded in sid-release on 2014-11-21
activemq (5.6.0+dfsg1-2) unstable; urgency=medium


  * Team upload.
  * Install links to asm4 jars in /usr/share/activemq/lib/optional
    (Closes: #763156)

 -- Emmanuel Bourg <email address hidden>  Mon, 29 Sep 2014 11:48:17 +0200

Available diffs

Superseded in jessie-release on 2014-10-05
Superseded in sid-release on 2014-09-29
activemq (5.6.0+dfsg1-1) unstable; urgency=medium


  [ Emmanuel Bourg ]
  * Team upload.
  * Switch to debhelper level 9
  * debian/control:
    - Standards-Version updated to 3.9.5 (no changes)
    - Use canonical URLs for the Vcs-* fields
    - Replaced the dependency on openjdk-6-jre-headless by default-jre-headless
  * Use XZ compression for the upstream tarball

  [ Eugene Zhukov ]
  * Removed non-sourced .js files (Closes: #735227)

  [ tony mancill ]
  * Tweak debian/watch to match dfsgX.

 -- tony mancill <email address hidden>  Wed, 27 Aug 2014 11:08:32 -0700

Available diffs

Superseded in jessie-release on 2014-09-02
Superseded in wheezy-release on 2015-09-05
Superseded in sid-release on 2014-08-28
activemq (5.6.0+dfsg-1) unstable; urgency=low


  * New upstream release:
    - Refresh all patches.
    - Drop d/patches/CVE-2011-4605.diff: merged upstream.
    - d/patches/exclude_mqtt.diff: Disable MQTT transport.
    - d/patches/exclude_leveldb.diff: Disable LevelDB Store.
  * d/maven.rules: Upgrade internal components version.
  * Build-Depends on libxstream-java (>= 1.4).

 -- Damien Raude-Morvan <email address hidden>  Fri, 25 May 2012 00:47:55 +0200
Superseded in wheezy-release on 2012-06-09
Superseded in sid-release on 2012-05-30
activemq (5.5.0+dfsg-7) unstable; urgency=low


  [ Ulrich Dangel ]
  * Install the activemq-{core,console,run} and kahadb jar files to
    /usr/share/java.  (Closes: #668943)
    - Add the necessary --java-lib flag to d/libactivemq-java.poms

  [ Damien Raude-Morvan ]
  * Thanks to Ulrich Dangel for RC bugfix, upload to unstable.

 -- Damien Raude-Morvan <email address hidden>  Tue, 01 May 2012 14:38:27 +0200
Superseded in wheezy-release on 2012-05-12
Superseded in sid-release on 2012-05-01
activemq (5.5.0+dfsg-6) unstable; urgency=low


  * d/patches/activemq-admin.patch: Fix activemq-admin "unexpected operator"
    (Closes: #662698). Thanks to Mathieu Mitchell.
  * Bump Standards-Version to 3.9.3: no changes needed.

 -- Damien Raude-Morvan <email address hidden>  Sun, 01 Apr 2012 20:26:10 +0200
Superseded in wheezy-release on 2012-04-12
Superseded in sid-release on 2012-04-02
activemq (5.5.0+dfsg-5) unstable; urgency=high


  * Fix CVE-2011-4905 (potential Denial of Service) by backporting upstream
    patch on failover feature. (Closes: #655495).
  * Set urgency=high for security fix.

 -- Damien Raude-Morvan <email address hidden>  Sun, 15 Jan 2012 19:38:21 +0100
Superseded in wheezy-release on 2012-01-18
Superseded in sid-release on 2012-01-16
activemq (5.5.0+dfsg-4) unstable; urgency=low


  * d/activemq.init: Merge change proposed by Jonas Genannt to allow
    console startup, useful for debugging purposes. (Closes: #645241).

 -- Damien Raude-Morvan <email address hidden>  Wed, 26 Oct 2011 21:13:20 +0200
Superseded in wheezy-release on 2011-11-06
Superseded in sid-release on 2011-10-27
activemq (5.5.0+dfsg-3) unstable; urgency=low


  * d/control: Wrap-and-sort Build-Depends.
  * d/activemq.links: Since libasm3-java package now provide splited JAR
    also link all ASM3 jars (Closes: #644834).
  * d/maven.rules:
    - Don't replace osgi artifacts since they are now provided by
    official osgi-core package.
    - Force 2.1.1 version of maven-war-plugin.

 -- Damien Raude-Morvan <email address hidden>  Tue, 11 Oct 2011 23:11:16 +0200
Superseded in wheezy-release on 2011-10-22
Superseded in sid-release on 2011-10-12
activemq (5.5.0+dfsg-2) unstable; urgency=low


  * Drop d/patches/exclude_xsd_install.diff and install XSD files into JAR.
  * Build-Depends on libxbean-java 3.7 for maven-xbean-plugin.
  * Add new "activemq" package to start ActiveMQ server:
    - d/activemq.{postinst,prerm}: Create a activemq system user
    - d/activemq.{install,links}: Install activemq and activemq-admin commands
      to /usr/bin/, set /usr/share/activemq/ as ACTIVEMQ_HOME and install
      many examples into /usr/share/doc/activemq/examples/.
    - d/activemq.README.Debian: Describe how to setup an alternative
      instance (Closes: #634868).
    - Provide a way to handle multi-instances of activemq. Each directory
      inside /etc/activemq/instances-enabled/ will be started as an
      instance with its own configuration. Thanks to Jonas Genannt for patch.
  * d/patches/javadoc_links.diff: Update links to system-wide Javadoc.
  * d/libactivemq-java.README.Debian: Describe disabled features regarding
    upstream package.
  * d/control: Don't use package name in synospis.

 -- Damien Raude-Morvan <email address hidden>  Sun, 04 Sep 2011 18:50:59 +0200
Superseded in wheezy-release on 2011-09-21
Superseded in sid-release on 2011-09-20
activemq (5.5.0+dfsg-1) unstable; urgency=low
  * Initial release (Closes: #627778). -- Damien Raude-Morvan <email address hidden>  Tue, 21 Jun 2011 00:32:12 +0200
143 of 43 results